<!DOCTYPE html>
<html lang="ru">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Задание 8</title>
  
  <meta charset="utf-8">
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
      <link rel="stylesheet" href="style.css">

      <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    
      <script src="script.js"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
</head>

<body class="text-dark">

    <div class="row d-flex flex-row justify-content-center">
      <div class="col-sm-9">
        <div class="items d-flex flex-column">
          <div id="form">
            <h2>Задание 8</h2>

           <button type="button" class="b1" id="but"  data-toggle="modal" data-target="#popUp"> Нажмите и заполните </button>

            <div class="modal fade myform" id="popUp" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
              aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <div class="modal-header">
                    <div class="modal-title" id="exampleModalLabel">Форма</div>
                    <button type="button" class="close" id="close" data-dismiss="modal" onclick="setLocation('/web8')" aria-label="Close">
                    
                    </button>
                  </div>
                  <div class="modal-body">
                    <form id="formData">
					
                      <div class="form-group">
                        <label for="fio" class="col-form-label">фио:</label>
                        <input class="form-control" placeholder="фио" id="fio" required>
                      </div>
					  
                      <div class="form-group">
                        <label for="email" class="col-form-label"placeholder="фио">E-mail:</label>
                        <input type="email" class="form-control" placeholder="noa20011110@gmail.com" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" id="email" required>
                      </div>
					  
                      <div class="form-group">
                        <label for="message" class="col-form-label" >Сообщение:</label>
                        <textarea class="form-control" id="message" placeholder="Что вы хотите рассказать?" required></textarea>
                      </div>
					  
                      <div class="row d-flex flex-row align-items-center justify-content-around">
                        <div class="col-2 check"><input type="checkbox" class="form-control" id="check" required></div>
                        <div class="col col-md-10"><label for="check" class="col-form-label">
						Согласен на обработку персональных данных</label></div>
                      </div>
                      <div class="modal-footer">
                        <button type="submit">Отправить</button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
		  </div>
         </div>
        </div>
 
</body>

</html>
